No Verbum app for current generation Kindle Fire?

Page 1 of 1 (3 items)
This post has 2 Replies | 0 Followers

Posts 35
augustine9989 | Forum Activity | Posted: Fri, Apr 14 2017 7:45 AM

Hi- I just purchased a current generation Kindle Fire 7 in from Amazon. For some reason, the Verbum app is not available for the device. It does not appear when I search for it from within the device's app store.  When I navigate to the app on Amazon's full PC website, there is a message that Verbum is not compatible with my device. The strange thing is that the regular Logos Bible app is available and works fine with the device. Is there some reason why the Verbum app is restricted from being installed to the Fire 7?

Posts 144
LogosEmployee
Christian Villapando | Forum Activity | Replied: Sun, Apr 16 2017 5:12 AM

Hello Augustine,

Thank you very much for your message and interest in the Verbum app! We still continue to publish the Verbum and Vyrso apps to Amazon, but Amazon has decided not to make them available on Kindle devices. They are still available for non-Kindle devices, via their App Store, but not allowed on Kindle devices. 

Posts 2967
David Ames | Forum Activity | Replied: Mon, May 8 2017 6:14 AM

Christian Villapando:

 We still continue to publish the Verbum and Vyrso apps to Amazon, but Amazon has decided not to make them available on Kindle devices. 

I was able to side load Verbum 4.6.5 (build 453) to my Kindle Fire HDX 8.9 (3ed Generation) and as a reader it works fine.  My current problem is that I cannot find the file to side load a newer version.  On my Samaung Tab 3 I have Verbum 5.14.5 (build 514051884) running.

Page 1 of 1 (3 items) | RSS